import sys
sys.path.append("./lib")

from libabaqus_main import *

R=10.

# perfect plasticity

jobBaseName="dset0Pp"

i=1
for pvv in [0.15,]:
	for pEE in [100.,]:
		for SYield in [0.6,]:
			setAxisymmParticleModel(
				jId=i,
				jobTitle=jobBaseName,
				particleType="Ellipsoid",
				pgdl=[R,R],
				pEE=pEE,
				pvv=pvv,
				SYield=SYield,
				igd=5.*R,
				ges=5,
				mnes=0.2,
				mxes=0.5,
				QQ2=-R/2.,	
				iElmType="cax8",
				frictionCoeff=0.,
			)
			print >> sys.__stdout__, pEE,pvv,SYield,0.,0.,jobBaseName+"-"+str(i)
			i=i+1

# hardening

#hardStrength=1.0
#jobBaseName="dset0Hard"
#i=1
#for pvv in [0.15, 0.2, 0.25, 0.3, 0.35, 0.4]:
#	for pEE in [100.,400.]:
#		for SYield in [0.6,1.5]:
#			setAxisymmParticleModel(
#				jId=i,
#				jobTitle=jobBaseName,
#				particleType="Ellipsoid",
#				pgdl=[R,R],
#				pEE=pEE,
#				pvv=pvv,
#				plasticity="USER",
#				SYield=SYield,
#				hardStrength=hardStrength,
#				hardExponent=0.3,
#				igd=5.*R,
#				ges=5,
#				mnes=0.2,
#				mxes=0.5,
#				QQ2=-R/2.,	
#				iElmType="cax8",
#				frictionCoeff=0.,
#			)
#			print >> sys.__stdout__,pEE,pvv,SYield,hardStrength,0.3,jobBaseName+"-"+str(i)
#			i=i+1
#			setAxisymmParticleModel(
#				jId=i,
#				jobTitle=jobBaseName,
#				particleType="Ellipsoid",
#				pgdl=[R,R],
#				pEE=pEE,
#				pvv=pvv,
#				plasticity="USER",
#				SYield=SYield,
#				hardStrength=hardStrength,
#				hardExponent=0.5,
#				igd=5.*R,
#				ges=5,
#				mnes=0.2,
#				mxes=0.5,
#				QQ2=-R/2.,	
#				iElmType="cax8",
#				frictionCoeff=0.,
#			)
#			print >> sys.__stdout__,pEE,pvv,SYield,hardStrength,0.5,jobBaseName+"-"+str(i)
#			i=i+1



